Skip to main content
GET
https://postonce.to/api/public
/
v1
/
posts
/
{id}
Get post
curl --request GET \
  --url https://postonce.to/api/public/v1/posts/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "content": "<string>",
    "external_id": "<string>",
    "media": [
      {
        "url": "https://cdn.example.com/launch-image.png",
        "type": "image",
        "width": 123,
        "height": 123,
        "size": 123
      }
    ],
    "publish_at": "2023-11-07T05:31:56Z",
    "status": "scheduled",
    "created_at": "2023-11-07T05:31:56Z",
    "targets": [
      {
        "target_post_id": "<string>",
        "account_id": "<string>",
        "platform": "<string>",
        "username": "<string>",
        "status": "pending",
        "error": "<string>",
        "platform_post_id": "<string>",
        "platform_post_url": "<string>",
        "scheduled_time": "2023-11-07T05:31:56Z"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.postonce.to/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Aggregate post ID.

Response

Post returned successfully.

data
object